Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00389 Sound Minor Always Jan 29, 2008, 06:54 Mar 10, 2022, 18:59
Tester Yonah View Status Public Platform
Assigned To AJR Resolution Reopened OS
Status [?] Confirmed Driver
Version 0.104u2 Fixed in Version 0.214 Build
Fixed in Git Commit Github Pull Request #
Summary 00389: cbuster, cbusterj: The tempo of the music played by one of the OKI6295's (#1 I think) speeds up when the flamethrower is used
Description Half way thru the 1st level you encounter a guy in a white heatsuit with a flame thrower. The tempo of the music played by one of the OKI6295's (#1 I think) speeds up when the flamethrower is used, then goes back to normal when the flames are off.

This is a bit tricky to reproduce since the flamethrower is only used when you are almost a 1/2 screen length from the enemy so you have to play "keep away" until he sparks it up.
Steps To Reproduce
Additional Information Jonah1976 / king_krm / Twisty
More noticeable later on (where there are more flamethrower guys to beat)
Github Commit
Flags
Regression Version
Affected Sets / Systems cbuster, cbusterj
Attached Files
mp3 file icon cbuster0104u2gre.mp3 (574,902 bytes) Feb 14, 2008, 08:45
zip file icon 1.zip (10,768 bytes) Feb 7, 2019, 17:15 Uploaded by ICEknight
Savestate from 0.206 showing the issue.
zip file icon stage5.zip (7,801 bytes) Mar 10, 2022, 18:57 Uploaded by Kale
cbusterj stage 5 start
Relationships
has duplicate 03393Closed Crude Buster and all clone roms ( cbuster): Music goes fast when someone is using a flame attack 
related to 02108ResolvedAJR  vaportra, vaportrau, kuhga: Data East Vapor Trail Sound Driver messed up during game play, tempo all wrong when firing. 
related to 06740Resolvedaaron  slyspy, bouldash: Sound randomly speeds up and eventually dies 
related to 00130ResolvedAJR  darkseal: When using your weapon the music playback would ever so slightly increase. 
related to 06974Resolved  cninja: Sound speeds up when fighting with the stage 4.2 boss 
Notes
3
User avatar
No.16876
AJR
Developer
Sep 9, 2019, 18:02
3f4f237dde89ea02b5a2724f391e3054cfc659d7 fixes this for now.
User avatar
No.16989
VasiliyFamiliya
Tester
Sep 28, 2019, 13:21
edited on: Sep 28, 2019, 13:24
I just tested the game with MAME v0.214, and looks like the music speedup dindn't disappeared fully but just became less perceptible. See the video here: https://drive.google.com/file/d/1VX7ypZfPTntV-s-9X1BQOl-AOo7m1D8x/view?usp=sharing.
User avatar
No.19885
Kale
Developer
Mar 10, 2022, 18:52
edited on: Mar 10, 2022, 18:58
This still happens as of 0.241, reopening.
Added a 0.238 stage 5 cbusterj save state, where an army of flamethrower guys appears once you destroy the first barricade.